var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import { StyledFont14 } from 'ui/common';
var getExternalLinkProps = function () { return ({
    target: '_blank',
    rel: 'noreferrer noopener',
}); };
var StyledLink = styled(StyledFont14)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  color: ", ";\n  align-items: center;\n  display: flex;\n  display: initial;\n  width: fit-content;\n  cursor: pointer;\n  &:hover {\n    text-decoration: underline;\n  }\n"], ["\n  color: ", ";\n  align-items: center;\n  display: flex;\n  display: initial;\n  width: fit-content;\n  cursor: pointer;\n  &:hover {\n    text-decoration: underline;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.link;
});
var Link = function (_a) {
    var external = _a.external, children = _a.children, props = __rest(_a, ["external", "children"]);
    var internalProps = external ? getExternalLinkProps() : {};
    return (_jsx(StyledLink, __assign({ as: "a" }, internalProps, props, { children: children })));
};
Link.defaultProps = {
    color: 'primary',
};
export default Link;
var templateObject_1;
